System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IEndpointBehavior

If such a behavior exists in the behavior collection on a client endpoint, the transport uses the URI that it provides, while all the other channel layers in the stack use the provided at construction time. This also becomes the WS-Addressing To header.

Use this behavior when the immediate network destination is not the intended processor of the message to enable multiple-hop conversations when the calling application does not necessarily know the ultimate destination or when the destination Via header is not an address.

You can also set this value using the <clientVia> element in a client application configuration file.

The is used by clients to specify the URI for which the transport channel should be created.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The URI for which the transport channel should be created.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Is not implemented.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Sets the to the URI for which the transport channel is created.

  The for which the client behavior is to be applied.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Throws an because this operation should not be performed at the client end.

  Implements a modification or extension of the service across an endpoint.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Is not implemented.

- Property
  4.0.0.0
  System.Uri To be added.

  You can also set this value using the <clientVia> element in a client application configuration file.

  Gets or set the URI for which the transport channel should be created.